//
//  AppDelegate.m
//  ManzuoProject
//
//  Created by qf on 15-4-2.
//  Copyright (c) 2015年 lirunmin. All rights reserved.
//

#import "AppDelegate.h"
#import "ViewController.h"
#import "ViewController1.h"
#import "ViewController2.h"
#import "ViewController3.h"
@implementation AppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    // Override point for customization after application launch.
    UITabBarController *tbc=[[UITabBarController alloc] init];
    
    ViewController *vc=[[ViewController alloc] init];
    UINavigationController *nc=[[UINavigationController alloc] initWithRootViewController:vc];
    nc.tabBarItem.title=@"首页";
    nc.tabBarItem.image=[UIImage imageNamed:@"main.png"];
    [nc.navigationBar setBackgroundImage:[UIImage imageNamed:@"title_bar.png"] forBarMetrics:UIBarMetricsDefault];
    
    ViewController1 *vc1=[[ViewController1 alloc] init];
    UINavigationController *nc1=[[UINavigationController alloc] initWithRootViewController:vc1];
    nc1.tabBarItem.title=@"周边";
    nc1.tabBarItem.image=[UIImage imageNamed:@"around.png"];

    ViewController2 *vc2=[[ViewController2 alloc] init];
    UINavigationController *nc2=[[UINavigationController alloc] initWithRootViewController:vc2];
    nc2.tabBarItem.title=@"搜索";
    nc2.tabBarItem.image=[UIImage imageNamed:@"search.png"];

    ViewController3 *vc3=[[ViewController3 alloc] init];
    UINavigationController *nc3=[[UINavigationController alloc] initWithRootViewController:vc3];
    nc3.tabBarItem.title=@"我的满座";
    nc3.tabBarItem.image=[UIImage imageNamed:@"myManzuo.png"];

    tbc.viewControllers=@[nc,nc1,nc2,nc3];
    
    self.window.rootViewController=tbc;
    
    return YES;
}
							
- (void)applicationWillResignActive:(UIApplication *)application
{
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application
{
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

@end
